## ocaml-speex 0.2.1

=== examples/Makefile ===
# OCaml-speex examples.
#
# Copyright 2008 by the Savonet team.
#

all clean:
	$(MAKE) -f Makefile.wav2speex $@
	$(MAKE) -f Makefile.speex2wav $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f Makefile.speex2wav Makefile.wav2speex

## ocaml-speex 0.2.0

=== debian/changelog ===
ocaml-speex (0.2.0-3build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 08:17:18 +0200

ocaml-speex (0.2.0-3build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:38 +0100

ocaml-speex (0.2.0-3build2) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 12:55:51 +0000

ocaml-speex (0.2.0-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:57 +0000

ocaml-speex (0.2.0-3) unstable; urgency=low

  * Upload to unstable
  * Force build-dep on ocaml-ogg >= 0.4.5

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:22:47 -0500

ocaml-speex (0.2.0-2) experimental; urgency=low

  * Upload to experimental to rebuild against
    ocaml-ogg 0.4.4.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:44:16 -0500

ocaml-speex (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) package format.
  * Bumped standards version to 3.9.2 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 05 Jul 2011 12:26:02 -0500

ocaml-speex (0.1.2-3) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:49:17 -0600

ocaml-speex (0.1.2-2) experimental; urgency=low

  * Rebuild against ocaml-ogg 0.4.1 from experimental. 
  * Bumped standards version.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 07 Sep 2010 18:56:10 -0500

ocaml-speex (0.1.2-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549840)

  [ Romain Beauxis ]
  * New upstream release.
  * Bumped standards version to 3.8.3
  * Enabled debugging.
  * Use new dependency system.
  * Added doc-base registration.
 
 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Oct 2009 17:29:16 -0500

ocaml-speex (0.1.1-2) unstable; urgency=low

  * Added missing .a files to libspeex-ocaml-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 18 May 2009 23:28:19 +1100

ocaml-speex (0.1.1-1) unstable; urgency=low

  * New upstream release, fixes license inconsistency. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 18:48:09 +0200

ocaml-speex (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #515810)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 17:01:09 +0200

=== debian/control ===
Source: ocaml-speex
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 libspeex-dev, 
 libogg-ocaml-dev (>= 0.4.5),
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-speex.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-speex.git

Package: libspeex-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the speex library
 This package provides an interface to the speex library for 
 OCaml programmers.
 .
 Speex is an audio codec especially designed for compressing voice at low
 bit-rates for applications such as voice over IP (VoIP).
 .
 This package contains only the shared runtime stub libraries.

Package: libspeex-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libspeex-dev, libogg-ocaml-dev (>= 0.3.0-1),
         libspeex-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the speex library
 This package provides an interface to the speex library for
 OCaml programmers.
 .
 Speex is an audio codec especially designed for compressing voice at low
 bit-rates for applications such as voice over IP (VoIP).
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-speex.

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-speex-(.+)\.tar\.gz

## ocaml-speex 0.2.1

=== debian/changelog ===
ocaml-speex (0.2.1-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:31:34 +0000

ocaml-speex (0.2.1-2) unstable; urgency=medium

  * Fix VCS-Git URL
  * Install examples

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 25 Jun 2018 13:40:21 +0200

ocaml-speex (0.2.1-1) unstable; urgency=medium

  * Update watch file to use new upstream github repo
  * New upstream version 0.2.1
  * Update VCS-* to use salsa
  * Update compat level (no change)
  * Bump Standards-Version (no change)
  * Update copyright information

 -- Kyle Robbertze <krobbertze@gmail.com>  Thu, 21 Jun 2018 19:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: 
+Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
+           Samuel Mimram <smimram@debian.org>,
+           Romain Beauxis <toots@rastageeks.org>
+Build-Depends:
  cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 10),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
- libspeex-dev, 
- libogg-ocaml-dev (>= 0.4.5),
- ocaml-findlib (>= 1.2.4), 
+ dh-ocaml (>= 0.9),
+ libspeex-dev,
+ libogg-ocaml-dev (>= 0.5.2),
+ ocaml-findlib (>= 1.2.4),
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 4.1.4
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-speex.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-speex.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-speex.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-speex
 
 Package: libspeex-ocaml
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the speex library
- This package provides an interface to the speex library for 
+ This package provides an interface to the speex library for
  OCaml programmers.
  .
  Speex is an audio codec especially designed for compressing voice at low

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-speex/releases .*download/\d\S+/ocaml-speex-(\d\S+).tar.gz

## ocaml-speex 0.4.1

=== debian/changelog ===
ocaml-speex (0.4.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:58 +0100

ocaml-speex (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * d/control: update dependencies

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 10 Jan 2022 13:21:05 +0200

ocaml-speex (0.4.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Remove Samuel and Romain from Uploaders
  * Update debian/watch

  [ Kyle Robbertze ]
  * Update maintainer email

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 19:39:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: ocaml-speex
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends:
- cdbs (>= 0.4.85~),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-buildinfo,
- ocaml-nox,
- dh-ocaml (>= 0.9),
+ ocaml,
+ dh-ocaml,
  libspeex-dev,
- libogg-ocaml-dev (>= 0.5.2),
- ocaml-findlib (>= 1.2.4),
+ libogg-ocaml-dev (>= 0.7.0),
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-speex.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-speex
@@ -36,8 +34,12 @@
 
 Package: libspeex-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libspeex-dev, libogg-ocaml-dev (>= 0.3.0-1),
-         libspeex-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
+Depends: ${ocaml:Depends},
+         ${shlibs:Depends},
+         libspeex-dev,
+         libogg-ocaml-dev (>= 0.3.0-1),
+         libspeex-ocaml (= ${binary:Version}),
+         ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the speex library
  This package provides an interface to the speex library for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p speex

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-speex/releases .*/v?([0-9.]+)\.tar\.gz
